## org.apache.cassandra.service
Class EmbeddedCassandraService

    java.lang.Object
      org.apache.cassandra.service.EmbeddedCassandraService

    public class EmbeddedCassandraService

extends java.lang.Object

An embedded, in-memory cassandra storage service that listens on the thrift interface as configured in cassandra.yaml This kind of service is useful when running unit tests of services using cassandra for example. See `EmbeddedCassandraServiceTest` for usage.

This is the implementation of https://issues.apache.org/jira/browse/CASSANDRA-740

How to use: In the client code simply create a new EmbeddedCassandraService and start it. Example:

            cassandra = new EmbeddedCassandraService();
            cassandra.start();

Constructor Summary
`EmbeddedCassandraService()`

Method Summary
`void` `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmbeddedCassandraService

    public EmbeddedCassandraService()

Method Detail

### start

    public void start()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2012 The Apache Software Foundation